%{
/*	$Id: scan.l,v 1.6 2005/04/23 12:25:37 marc Exp $ */

#include <string.h>

#if !defined(__FreeBSD__)
#include "y.tab.h"
#else
#include "parse.h"
#endif

%}

%option yylineno noyywrap nounput

%%

[ \t]+			/* ignore whitespace */ ;

backend			{ return BACKEND; }
virus-strategy		{ return VIRUS_STRATEGY; }
error-strategy		{ return ERROR_STRATEGY; }
spam-strategy		{ return SPAM_STRATEGY; }
unwanted-strategy	{ return UNWANTED_STRATEGY; }
port			{ return PORT; }
tmpdir			{ return TMPDIR; }
log-facility		{ return LOGFAC; }
recipient-notification	{ return RECIPIENT_NOTIFICATION; }
notify-only		{ return NOTIFY_ONLY; }
pidfile			{ return PIDFILE; }
option			{ return OPTION; }
user			{ return USER; }
group			{ return GROUP; }
chroot			{ return CHROOT; }
tmpfiles		{ return TMPFILES; }
maxfiles		{ return MAXFILES; }
spam-subject-prefix	{ return SPAM_SUBJECT_PREFIX; }
logfile			{ return LOGFILE; }
config-file		{ return CFGFILE; }

ldaphost		{ return LDAPHOST; }
ldapport		{ return LDAPPORT; }
searchbase		{ return SEARCHBASE; }
binddn			{ return BINDDN; }
bindpasswd		{ return BINDPASSWD; }
usetls			{ return USETLS; }

local0			{ return LOCAL0; }
local1			{ return LOCAL1; }
local2			{ return LOCAL2; }
local3			{ return LOCAL3; }
local4			{ return LOCAL4; }
local5			{ return LOCAL5; }
local6			{ return LOCAL6; }
local7			{ return LOCAL7; }
daemon			{ return DAEMON;}
mail			{ return MAIL; }

discard			{ return DISCARD; }
mark			{ return MARK; }
notify-recipient	{ return NOTIFY_RECIPIENT; }
reject			{ return RJECT; }
tempfail		{ return TEMPFAIL; }
ignore			{ return IGNORE; }

markall			{ return MARKALL; }
logvirus		{ return LOGVIRUS; }
logspam			{ return LOGSPAM; }
logunwanted		{ return LOGUNWANTED; }
g\+r			{ return GRPRD; }
setgrp			{ return SETGRP; }

true			{ return TRUE; }
false			{ return FALSE; }

[0-9]+			{ vilterlval.string = strdup(viltertext); return NUMBER; }

#.*\n			/* ignore comments */ ;

[a-zA-Z0-9_\-:\.,/\*]+	{ vilterlval.string = strdup(viltertext); return TEXT; }

\"([^"\n]*)["\n]	{
				viltertext[vilterleng - 1] = 0;
				vilterleng -= 2;
				vilterlval.string = strdup(viltertext + 1);
				return TEXT;
			}

=			{ return '='; }

\n			{ return '\n'; }

